#ifndef TEST_ARENA_H
#define TEST_ARENA_H

#include "tester.h"

#ifdef __cplusplus
BEGIN_C_LINKAGE
#endif // __cplusplus

TestFuncResult test_arena_init(void);
TestFuncResult test_arena_init_succeeds_when_reserving_very_large_size(void);
TestFuncResult test_arena_alloc_succeeds_when_within_capacity(void);
TestFuncResult test_arena_alloc_fails_when_over_capacity(void);
TestFuncResult test_arena_realloc_bigger_size(void);
TestFuncResult test_arena_realloc_smaller_size(void);
TestFuncResult test_arena_clear(void);
TestFuncResult test_arena_destroy(void);

#ifdef __cplusplus
END_C_LINKAGE
#endif // __cplusplus

#endif // !TEST_ARENA_H
